apply plugin: 'com.android.library'
apply from: rootProject.file('common-build.gradle')


android {
    compileSdkVersion rootProject.target_sdk_version
    defaultConfig {
        minSdkVersion rootProject.min_sdk_version
        targetSdkVersion rootProject.target_sdk_version
        versionCode rootProject.application_version_code
        versionName rootProject.application_version_name

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }


    compileOptions {
        // Flag to enable support for the new language APIs
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = '1.8'
    }



    android.buildFeatures {
        dataBinding = true
        viewBinding = false
    }

}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.billy.android:cc:2.1.5'

//    debugImplementation 'com.github.ChuckerTeam.Chucker:library:3.2.0'
//    releaseImplementation 'com.github.ChuckerTeam.Chucker:library-no-op:3.2.0'

    debugImplementation 'com.readystatesoftware.chuck:library:1.1.0'
    releaseImplementation 'com.readystatesoftware.chuck:library-no-op:1.1.0'


}
